set(TFLIB_DIR
  "${TOP_DIR}/lib_tflite_micro")

set(NNLIB_DIR
  "${TOP_DIR}/../lib_nn/lib_nn")

set(XTFLIB_SRC_DIR
  "${TFLIB_DIR}/src/tflite-xcore-kernels")

set(TFLITE_SRC_DIR
  "${TOP_DIR}/lib_tflite_micro/submodules/tflite-micro/tensorflow/lite")

set(TFLM_SRC_DIR
  "${TFLITE_SRC_DIR}/micro")

set(NN_SRC_DIR
  "${TOP_DIR}/../lib_nn/lib_nn/src")

file(GLOB_RECURSE NN_SOURCES "${NN_SRC_DIR}/c/*.c")

list(APPEND NN_SOURCES  "${NN_SRC_DIR}/cpp/AggregateFn.cpp")
list(APPEND NN_SOURCES  "${NN_SRC_DIR}/cpp/AggregateFn_DW.cpp")
list(APPEND NN_SOURCES  "${NN_SRC_DIR}/cpp/Filter2D.cpp")
list(APPEND NN_SOURCES  "${NN_SRC_DIR}/cpp/MemCpyFn.cpp")
list(APPEND NN_SOURCES  "${NN_SRC_DIR}/cpp/OutputTransformFn.cpp")
list(APPEND NN_SOURCES  "${NN_SRC_DIR}/cpp/filt2d/conv2d_utils.cpp")
list(APPEND NN_SOURCES  "${NN_SRC_DIR}/cpp/filt2d/util.cpp")
list(APPEND NN_SOURCES  "${NN_SRC_DIR}/cpp/filt2d/geom/Filter2dGeometry.cpp")
list(APPEND NN_SOURCES  "${NN_SRC_DIR}/cpp/filt2d/geom/ImageGeometry.cpp")
list(APPEND NN_SOURCES  "${NN_SRC_DIR}/cpp/filt2d/geom/WindowGeometry.cpp")
list(APPEND NN_SOURCES  "${NN_SRC_DIR}/cpp/filt2d/geom/WindowLocation.cpp")
list(APPEND NN_SOURCES  "${NN_SRC_DIR}/asm/asm_constants.c")

list(APPEND TFLITE_SOURCES  "${TFLITE_SRC_DIR}/c/common.cc")
list(APPEND TFLITE_SOURCES  "${TFLITE_SRC_DIR}/core/api/error_reporter.cc")
list(APPEND TFLITE_SOURCES  "${TFLITE_SRC_DIR}/core/api/tensor_utils.cc")
list(APPEND TFLITE_SOURCES  "${TFLITE_SRC_DIR}/core/api/flatbuffer_conversions.cc")
list(APPEND TFLITE_SOURCES  "${TFLITE_SRC_DIR}/core/api/op_resolver.cc")
list(APPEND TFLITE_SOURCES  "${TFLITE_SRC_DIR}/kernels/kernel_util.cc")
list(APPEND TFLITE_SOURCES  "${TFLITE_SRC_DIR}/kernels/internal/quantization_util.cc")
list(APPEND TFLITE_SOURCES  "${TFLITE_SRC_DIR}/schema/schema_utils.cc")

list(APPEND XTFLIB_SOURCES  "${XTFLIB_SRC_DIR}/../inference_engine.cc")
list(APPEND XTFLIB_SOURCES  "${XTFLIB_SRC_DIR}/../thread_call_host.c")
list(APPEND XTFLIB_SOURCES  "${XTFLIB_SRC_DIR}/xcore_dispatcher.cc")
list(APPEND XTFLIB_SOURCES  "${XTFLIB_SRC_DIR}/xcore_error_reporter.cc")
list(APPEND XTFLIB_SOURCES  "${XTFLIB_SRC_DIR}/xcore_interpreter.cc")
list(APPEND XTFLIB_SOURCES  "${XTFLIB_SRC_DIR}/xcore_profiler.cc")
list(APPEND XTFLIB_SOURCES  "${XTFLIB_SRC_DIR}/xcore_ops.cc")
list(APPEND XTFLIB_SOURCES  "${XTFLIB_SRC_DIR}/xcore_utils.cc")

list(APPEND XTFLIB_KERNEL_SOURCES  "${XTFLIB_SRC_DIR}/xcore_common.cc")
list(APPEND XTFLIB_KERNEL_SOURCES  "${XTFLIB_SRC_DIR}/xcore_custom_options.cc")
list(APPEND XTFLIB_KERNEL_SOURCES  "${XTFLIB_SRC_DIR}/xcore_add.cc")
list(APPEND XTFLIB_KERNEL_SOURCES  "${XTFLIB_SRC_DIR}/xcore_bsign.cc")
list(APPEND XTFLIB_KERNEL_SOURCES  "${XTFLIB_SRC_DIR}/xcore_conv2d_v2.cc")
list(APPEND XTFLIB_KERNEL_SOURCES  "${XTFLIB_SRC_DIR}/xcore_detection_post.cc")
list(APPEND XTFLIB_KERNEL_SOURCES  "${XTFLIB_SRC_DIR}/xcore_load_from_flash.cc")
list(APPEND XTFLIB_KERNEL_SOURCES  "${XTFLIB_SRC_DIR}/xcore_lookup.cc")
list(APPEND XTFLIB_KERNEL_SOURCES  "${XTFLIB_SRC_DIR}/xcore_strided_slice.cc")
list(APPEND XTFLIB_KERNEL_SOURCES  "${XTFLIB_SRC_DIR}/xcore_pad.cc")
list(APPEND XTFLIB_KERNEL_SOURCES  "${XTFLIB_SRC_DIR}/xcore_3_to_4.cc")

list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/all_ops_resolver.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/micro_allocator.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/micro_allocation_info.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/micro_context.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/micro_graph.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/micro_interpreter.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/micro_profiler.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/micro_time.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/mock_micro_graph.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/recording_micro_allocator.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/system_setup.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/test_helpers.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/test_helper_custom_ops.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/arena_allocator/non_persistent_arena_buffer_allocator.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/arena_allocator/persistent_arena_buffer_allocator.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/arena_allocator/recording_single_arena_buffer_allocator.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/arena_allocator/single_arena_buffer_allocator.cc")
list(APPEND TFLM_SOURCES  "${TFLM_SRC_DIR}/memory_planner/greedy_memory_planner.cc")

# We need to add below files to kernel sources as they are used from the kernels
# and we need the files to link successfully
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/flatbuffer_utils.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/micro_error_reporter.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/micro_resource_variable.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/micro_string.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/micro_utils.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/memory_helpers.cc")

list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/activations.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/activations_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/add.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/add_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/add_n.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/slice.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/arg_min_max.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/batch_to_space_nd.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/broadcast_args.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/broadcast_to.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/cast.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/ceil.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/circular_buffer.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/circular_buffer_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/circular_buffer_flexbuffers_generated_data.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/comparisons.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/concatenation.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/conv.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/conv_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/cumsum.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/depth_to_space.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/depthwise_conv.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/depthwise_conv_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/dequantize.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/dequantize_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/detection_postprocess_flexbuffers_generated_data.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/div.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/elementwise.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/elu.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/ethosu.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/exp.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/expand_dims.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/fill.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/floor.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/floor_div.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/floor_mod.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/fully_connected.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/fully_connected_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/gather.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/gather_nd.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/hard_swish.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/hard_swish_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/kernel_util.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/l2_pool_2d.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/l2norm.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/leaky_relu.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/leaky_relu_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/log_softmax.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/logical.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/logical_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/logistic.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/logistic_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/maximum_minimum.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/mirror_pad.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/mul.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/mul_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/neg.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/pack.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/pad.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/pooling.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/pooling_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/prelu.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/prelu_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/quantize.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/quantize_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/reduce.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/reduce_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/reshape.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/resize_bilinear.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/resize_nearest_neighbor.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/round.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/shape.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/softmax.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/softmax_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/space_to_batch_nd.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/space_to_depth.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/split.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/split_v.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/squeeze.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/strided_slice.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/sub.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/sub_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/svdf.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/svdf_common.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/tanh.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/transpose.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/transpose_conv.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/unpack.cc")
list(APPEND TFLM_KERNEL_SOURCES  "${TFLM_SRC_DIR}/kernels/zeros_like.cc")

# We dont support these kernels yet for compiled models
# They link with micro_graph from within the kernels
list(APPEND ALL_SOURCES  "${TFLM_SRC_DIR}/kernels/var_handle.cc")
list(APPEND ALL_SOURCES  "${TFLM_SRC_DIR}/kernels/while.cc")
list(APPEND ALL_SOURCES  "${TFLM_SRC_DIR}/kernels/read_variable.cc")
list(APPEND ALL_SOURCES  "${TFLM_SRC_DIR}/kernels/if.cc")
list(APPEND ALL_SOURCES  "${TFLM_SRC_DIR}/kernels/call_once.cc")
list(APPEND ALL_SOURCES  "${TFLM_SRC_DIR}/kernels/assign_variable.cc")

# link error on Linux
list(APPEND ALL_SOURCES  "${TOP_DIR}/lib_tflite_micro/submodules/flatbuffers/src/util.cpp")

# Append all sources to ALL_SOURCES
list(APPEND ALL_SOURCES ${NN_SOURCES})
list(APPEND ALL_SOURCES ${TFLITE_SOURCES})
list(APPEND ALL_SOURCES ${XTFLIB_SOURCES})
list(APPEND ALL_SOURCES ${XTFLIB_KERNEL_SOURCES})
list(APPEND ALL_SOURCES ${TFLM_SOURCES})
list(APPEND ALL_SOURCES ${TFLM_KERNEL_SOURCES})

set(ALL_INCLUDES "")

list(APPEND ALL_INCLUDES  ${XCORE_INTERPRETER_INCLUDES})
list(APPEND ALL_INCLUDES  "${CMAKE_CURRENT_SOURCE_DIR}/src")
list(APPEND ALL_INCLUDES  "${CMAKE_CURRENT_SOURCE_DIR}/../")
list(APPEND ALL_INCLUDES  "${TFLIB_DIR}/src/tflite-xcore-kernels")
list(APPEND ALL_INCLUDES  "${TFLIB_DIR}/api")
list(APPEND ALL_INCLUDES  "${TFLIB_DIR}/submodules/tflite-micro")
list(APPEND ALL_INCLUDES  "${TFLIB_DIR}/submodules/gemmlowp")
list(APPEND ALL_INCLUDES  "${TFLIB_DIR}/submodules/ruy")
list(APPEND ALL_INCLUDES  "${TFLIB_DIR}/submodules/flatbuffers/include")
list(APPEND ALL_INCLUDES  "${TFLIB_DIR}/..")
list(APPEND ALL_INCLUDES  "${NNLIB_DIR}/api")
list(APPEND ALL_INCLUDES  "${NNLIB_DIR}/..")
list(APPEND ALL_INCLUDES  "${XMOS_TOOL_PATH}/target/include/")
